Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class ParseStatus

    java.lang.Object
      org.codehaus.groovy.tools.shell.ParseStatus

    final class ParseStatus
    extends Object

Container for parse status details.

Property Summary
`Throwable` | `cause`
`ParseCode` | `code`

Constructor Summary
`ParseStatus(ParseCode code, Throwable cause)`
`ParseStatus(ParseCode code)`
`ParseStatus(Throwable cause)`

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### cause

    final Throwable cause

### code

    final ParseCode code

Constructor Detail

### ParseStatus

    ParseStatus(ParseCode code, Throwable cause)

### ParseStatus

    ParseStatus(ParseCode code)

### ParseStatus

    ParseStatus(Throwable cause)

Copyright © 2003-2010 The Codehaus. All rights reserved.